package com.dcsoft.system.domain;

import com.dcsoft.common.core.annotation.Excel;
import com.dcsoft.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 授权管理记录对象 sys_manage_record
 *
 * @author dcsoft
 * @date 2023-03-08
 */
public class SysManageRecord extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 记录Id */
    private Long id;

    /** 关联类型(1部门 2人员) */
    @Excel(name = "关联类型(1部门 2人员)")
    private Long type;

    /** 人员id */
    @Excel(name = "人员id")
    private Long peopleId;

    /** 部门id */
    @Excel(name = "部门id")
    private Long branchId;

    /** 规则id */
    @Excel(name = "规则id")
    private Long ruleId;

    private SysPeople people;

    private SysBranch branch;

    private SysRule rule;

    protected String[] peopleIds;

    protected String[] branchIds;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setType(Long type)
    {
        this.type = type;
    }

    public Long getType()
    {
        return type;
    }
    public void setPeopleId(Long peopleId)
    {
        this.peopleId = peopleId;
    }

    public Long getPeopleId()
    {
        return peopleId;
    }
    public void setBranchId(Long branchId)
    {
        this.branchId = branchId;
    }

    public Long getBranchId()
    {
        return branchId;
    }
    public void setRuleId(Long ruleId)
    {
        this.ruleId = ruleId;
    }

    public Long getRuleId()
    {
        return ruleId;
    }

    public String[] getPeopleIds() {
        return peopleIds;
    }

    public void setPeopleIds(String[] peopleIds) {
        this.peopleIds = peopleIds;
    }

    public String[] getBranchIds() {
        return branchIds;
    }

    public void setBranchIds(String[] branchIds) {
        this.branchIds = branchIds;
    }

    public SysPeople getPeople() {
        return people;
    }

    public void setPeople(SysPeople people) {
        this.people = people;
    }

    public SysBranch getBranch() {
        return branch;
    }

    public void setBranch(SysBranch branch) {
        this.branch = branch;
    }

    public SysRule getRule() {
        return rule;
    }

    public void setRule(SysRule rule) {
        this.rule = rule;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("type", getType())
            .append("peopleId", getPeopleId())
            .append("branchId", getBranchId())
            .append("ruleId", getRuleId())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
